package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 库位资料对象 t_base_storage_area_location
 * 
 * @author wms
 * @date 2022-12-24
 */
@TableName("t_base_storage_area_location")
public class TBaseStorageAreaLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 库位编号 */
    @TableId(value = "LOCATION_ID")
    private String locationId;

    /** 助记码 */
    @Excel(name = "助记码")
    @TableField("PY_NAME")
    private String pyName;

    /** 所属仓库 外键 */
    @TableField(value = "STORAGE_ID")
    private String storageId;

    /** 有锁 0：否 1：是 */
    @Excel(name = "有锁 0：否 1：是")
    @TableField("ISLOCK")
    private String islock;

    /** 长 */
    @Excel(name = "长")
    @TableField("LOCATION_LONG")
    private BigDecimal locationLong;

    /** 宽 */
    @Excel(name = "宽")
    @TableField("LOCATION_WIDTH")
    private BigDecimal locationWidth;

    /** 高 */
    @Excel(name = "高")
    @TableField("LOCATION_HEIGHT")
    private String locationHeight;

    /** 容积 */
    @Excel(name = "容积")
    @TableField("VOLUME")
    private BigDecimal volume;

    /** 已占用容积 */
    @Excel(name = "已占用容积")
    @TableField("HASVOLUME")
    private BigDecimal hasvolume;

    /** 承载重量 */
    @Excel(name = "承载重量")
    @TableField("BEARWEIGHT")
    private BigDecimal bearweight;

    /** ABC分类 */
    @Excel(name = "ABC分类")
    @TableField("ABC_ID")
    private String abcId;

    /** 排序 */
    @Excel(name = "排序")
    @TableField("SORT")
    private BigDecimal sort;

    /** 状态  0：正常 1：停用 */
    @Excel(name = "状态  0：正常 1：停用")
    @TableField("STATUS")
    private String status;

    /** 版本号 */
    @Excel(name = "版本号")
    @TableField("VERSION")
    private String version;

    /** 操作人 */
    @Excel(name = "操作人")
    @TableField("OPERATORID")
    private String operatorid;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("OPERATEDATE")
    private Date operatedate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("ROW1")
    private String row1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("CLN")
    private String cln;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @TableField("LAYER1")
    private String layer1;

    public void setLocationId(String locationId) 
    {
        this.locationId = locationId;
    }

    public String getLocationId() 
    {
        return locationId;
    }
    public void setPyName(String pyName) 
    {
        this.pyName = pyName;
    }

    public String getPyName() 
    {
        return pyName;
    }
    public void setStorageId(String storageId) 
    {
        this.storageId = storageId;
    }

    public String getStorageId() 
    {
        return storageId;
    }
    public void setIslock(String islock) 
    {
        this.islock = islock;
    }

    public String getIslock() 
    {
        return islock;
    }
    public void setLocationLong(BigDecimal locationLong) 
    {
        this.locationLong = locationLong;
    }

    public BigDecimal getLocationLong() 
    {
        return locationLong;
    }
    public void setLocationWidth(BigDecimal locationWidth) 
    {
        this.locationWidth = locationWidth;
    }

    public BigDecimal getLocationWidth() 
    {
        return locationWidth;
    }
    public void setLocationHeight(String locationHeight)
    {
        this.locationHeight = locationHeight;
    }

    public String getLocationHeight()
    {
        return locationHeight;
    }
    public void setVolume(BigDecimal volume) 
    {
        this.volume = volume;
    }

    public BigDecimal getVolume() 
    {
        return volume;
    }
    public void setHasvolume(BigDecimal hasvolume) 
    {
        this.hasvolume = hasvolume;
    }

    public BigDecimal getHasvolume() 
    {
        return hasvolume;
    }
    public void setBearweight(BigDecimal bearweight) 
    {
        this.bearweight = bearweight;
    }

    public BigDecimal getBearweight() 
    {
        return bearweight;
    }
    public void setAbcId(String abcId) 
    {
        this.abcId = abcId;
    }

    public String getAbcId() 
    {
        return abcId;
    }
    public void setSort(BigDecimal sort) 
    {
        this.sort = sort;
    }

    public BigDecimal getSort() 
    {
        return sort;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setOperatorid(String operatorid) 
    {
        this.operatorid = operatorid;
    }

    public String getOperatorid() 
    {
        return operatorid;
    }
    public void setOperatedate(Date operatedate) 
    {
        this.operatedate = operatedate;
    }

    public Date getOperatedate() 
    {
        return operatedate;
    }
    public void setRow1(String row1) 
    {
        this.row1 = row1;
    }

    public String getRow1() 
    {
        return row1;
    }
    public void setCln(String cln) 
    {
        this.cln = cln;
    }

    public String getCln() 
    {
        return cln;
    }
    public void setLayer1(String layer1) 
    {
        this.layer1 = layer1;
    }

    public String getLayer1() 
    {
        return layer1;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("locationId", getLocationId())
            .append("pyName", getPyName())
            .append("storageId", getStorageId())
            .append("islock", getIslock())
            .append("locationLong", getLocationLong())
            .append("locationWidth", getLocationWidth())
            .append("locationHeight", getLocationHeight())
            .append("volume", getVolume())
            .append("hasvolume", getHasvolume())
            .append("bearweight", getBearweight())
            .append("abcId", getAbcId())
            .append("sort", getSort())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("version", getVersion())
            .append("operatorid", getOperatorid())
            .append("operatedate", getOperatedate())
            .append("row1", getRow1())
            .append("cln", getCln())
            .append("layer1", getLayer1())
            .toString();
    }
}
